%define version       2.0
%define release       2mdk
%define name          omniorbpy
%define lib_name_orig lib%{name}
%define lib_major     2
%define lib_name      %{lib_name_orig}%{lib_major}
%define py_ver        2.2
%define orb_ver       4

# virtual (ie empty) package to enforce naming convention

Summary: A robust high-performance CORBA ORB for Python.
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		System/Libraries
Source0:	omniORBpy-2.0.tar.bz2
URL:		http://www.uk.research.att.com/omniORB/
BuildRequires:	perl tcl tk glibc-devel
BuildRequires:	python >= %{py_ver}
BuildRequires:	libpython-devel >=  %{py_ver}
BuildRequires:  libomniorb-devel >= 4.0.0
Provides:       corba
BuildRoot:	%{_tmppath}/%{lib_name}-buildroot
Requires: %{lib_name} = %version
ExclusiveArch: ppc i586

%description
omniORB3 is an Object Request Broker (ORB) from AT&T which implements
specification 2.3 of the Common Object Request Broker Architecture (CORBA).

OmniORBpy is a robust high-performance CORBA ORB for Python.

Warning: Before OmniORB 4.0.0, it was include within,
now, it is a separate package.

# main package (contains *.so.[major].*, and binaries)

%package -n %{lib_name}
Summary:        A robust high-performance CORBA ORB for Python.
Group:          System/Libraries
Provides:       %{lib_name_orig} = %{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.

# devel part of the bundle

%package -n %{lib_name}-devel
Summary:	Header files and libraries needed for %{name} development
Group:		Development/C++
Requires:       %{lib_name} = %{version}-%{release}
Provides:       %{lib_name_orig}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
This package includes the header files and libraries needed for
developing programs using %{name}.

# docs and examples are in a separate package

%package -n %{lib_name_orig}-doc
Summary:    Header files and libraries needed for %{name} development
Group:      Development/C++
Requires:   %{lib_name_orig} = %{version}

%description -n %{lib_name_orig}-doc
This package includes developers doc including examples.

%prep 
%setup -n omniORBpy-%version -q

%build
%configure 

%make 

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_includedir}/omniORB%{orb_ver}
install -d $RPM_BUILD_ROOT%{_libdir}/python%{py_ver}/site-packages/
install -d $RPM_BUILD_ROOT%_libdir/python%{py_ver}/omniORB
install -d $RPM_BUILD_ROOT%{_includedir}/omniORB%{orb_ver}
install -d $RPM_BUILD_ROOT%{_libdir}/python%{py_ver}/site-packages/omniidl_be
install -d $RPM_BUILD_ROOT%{_libdir}/python%{py_ver}/site-packages/CosNaming
install -d $RPM_BUILD_ROOT%{_libdir}/python%{py_ver}/site-packages/CosNaming__POA

install -c -m 0644 modules/pydistdate.hh $RPM_BUILD_ROOT%{_includedir}/omniORB%{orb_ver}
install -c -m 0644 include/omniORBpy.h $RPM_BUILD_ROOT%{_includedir}/

install -c -m 0644 modules/_omnipymodule.so.2.0 $RPM_BUILD_ROOT%{_libdir}/python%{py_ver}/site-packages

install -c -m 0644 modules/codesets/_omnicodesetsmodule.so.2.0 $RPM_BUILD_ROOT%{_libdir}/python%{py_ver}/site-packages

cp -av python/*.py $RPM_BUILD_ROOT%{_libdir}/python%{py_ver}/
cp -av python/omniORB/*.py $RPM_BUILD_ROOT%{_libdir}/python%{py_ver}/omniORB

install -c -m 0644 omniidl_be/python.py $RPM_BUILD_ROOT%{_libdir}/python%{py_ver}/site-packages/omniidl_be
install -c -m 0644 python/CosNaming/__init__.py $RPM_BUILD_ROOT%{_libdir}/python%{py_ver}/site-packages/CosNaming
install -c -m 0644 python/CosNaming__POA/__init__.py $RPM_BUILD_ROOT%{_libdir}/python%{py_ver}/site-packages/CosNaming__POA


# Create symlink for libs
( cd $RPM_BUILD_ROOT%{_libdir}/python%{py_ver}/site-packages
ln -s _omnipymodule.so.2.0 _omnipymodule.so.2
ln -s _omnipymodule.so.2 _omnipymodule.so 
ln -s _omnicodesetsmodule.so.2.0 _omnicodesetsmodule.so.2
ln -s _omnicodesetsmodule.so.2 _omnicodesetsmodule.so
)

%clean
[ -z $RPM_BUILD_ROOT ] || rm -rf $RPM_BUILD_ROOT

%post   -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr (-,root,root)
%{_libdir}/python%{py_ver}/site-packages/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/python%{py_ver}/site-packages/*.so
%_libdir/python%{py_ver}/*.py*
%_libdir/python%{py_ver}/site-packages/omniidl_be/*.py*
%_libdir/python%{py_ver}/site-packages/CosNaming/*.py*
%_libdir/python%{py_ver}/site-packages/CosNaming__POA/*.py*
%_libdir/python%{py_ver}/omniORB/*.py*

%files -n %{lib_name_orig}-doc
%defattr(-,root,root)
%doc doc/*
%doc ReleaseNotes_2_0.txt README.Python README


%changelog
* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0-2mdk
- rebuild for rpm and glibc

* Thu Nov 28 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0-1mdk
- OmnyOrbpy sperate from omniorb
- 2.0 (was 1.4 with previous Omniorb)
- use configure
